Subject: Re: issue with Emacs 24.4.1 but not with 24.3.1 : changed on disk; really edit the buffer

From: Bertrand Brelier <[email-masked]>
Date: Thu, 22 Jan 2015 16:26:07 -0500

Hello Paul,

Thanks for your help and patience.
I tried with r- Q but same issue, emacs freezes when I start editing the
file (I can open it but not modify its content), For this test, the file is
stored locally (no remote cifs access, no encryption),

I do not have the problem with encfs on a local directory, only when the
encrypted directory is stored on another server accessed with cifs. I do
not have any problem with a remote directory accessed with cifs it if is
not encrypted (I only have the issue when I use an encrypted directory with
cifs).

Cheers,

Bertrand

On Thu, Jan 22, 2015 at 3:55 PM, Paul Eggert <[email-masked]> wrote:

> On 01/22/2015 06:16 AM, Bertrand Brelier wrote:
>
>> Hello Paul,
>>
>> I followed the steps but as soon as I try to edit the file when using
>> gdb, the emacs windows freezes and I cannot do anything (I tried to open a
>> local file, not on the network, with no encryption).
>>
>>
> That's interesting, as it worked for me.  We should try to see what
> differs.
>
> Perhaps it's something involved with your startup.  Can you try running
> Emacs with the -Q option instead?  That is, instead of this:
>
> (gdb) r
>
> do this:
>
> (gdb) r -Q
>
> Sorry if this all seems slow and painstaking, but that's life with remote
> debugging.
>
> For what it's worth, I tried to reproduce the problem with encfs on my
> machine (Fedora 21 x86-64) with a local directory, and could not reproduce
> it.
>